SDL_round(3)

NAME
SDL_round - Round x to the nearest integer.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_round(double x);

DESCRIPTION
Rounds x to the nearest integer. Values halfway between integers will be rounded away from zero.

Domain: -INF <= x <= INF

Range: -INF <= y <= INF, y integer

This function operates on double-precision floating point values, use SDL_roundf for single-precision floats. To get the result as an integer type, use SDL_lround.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the nearest integer to x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_roundf(3), SDL_lround(3), SDL_floor(3), SDL_ceil(3), SDL_trunc(3)